忍者ブログ
手探りでパソコンの事を勉強するブログです。 何か覚えたら記録していきます。
2018 . 10
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  • 31
  •   

    [PR]



    このエントリーをはてなブックマークに追加
    ×

    [PR]上記の広告は3ヶ月以上新規記事投稿のないブログに表示されています。新しい記事を書く事で広告が消えます。

    WordPressにTinyMCE Advancedをインストールする方法(高性能エディタプラグイン)



    このエントリーをはてなブックマークに追加
    TinyMCE Advancedをインストールするとwpの編集画面をより使い易くカスタマイズすることができます。
    文字の大きさや色はもちろん顔文字の挿入・テーブルの作成など様々な事がボタン一つで実現できるようになります。

    mce.PNG

    tm.PNG



    PR

    WordPress2.7.1でページ、アーカイブ、カテゴリのリンクができない時の原因



    このエントリーをはてなブックマークに追加
    WordPressをインストールして設定をいじっていたらサブページへのリンクができなくなってしまった。
    とりあえず原因を探してみる。
    phpinfo()は正常に動いている。
    apache2も正常でphp.iniにも不備はない。
    データベースへの接続もできていてwp-config.phpも正しく設定してある。
    パーミッションも正しく設定されている。
    トップページは表示されている。

    おそらくWordPress側の問題だと思い、リンク先のURLを見てみるとURLに日本語が混ざっているではないか・・・

    例)http://hoge.jp/wp/ページ1
      (最後が日本語になっている)
    ↑のような感じでリンクが生成されているようだ。

    8e8a25fa.PNG

    ubuntu9.04にWordPress2.7.1をインストールする



    このエントリーをはてなブックマークに追加
    WordPress (ワードプレス) は、オープンソースのCMSです。
    CMSとはブログとホームページが混ざったような最近はやりのやつですね。
    オープンソースですので、個人・商用を問わずに無料で利用できます。
    自宅サーバーにwordpressをインストールすれば洗練されたデザインのホームページやブログが簡単に開設できます。

    まず、インストールする前に前提としてapache2,mysql,php5がインストールされている事が前提となります。

    動作環境
    WordPress 日本語版 2.5 以降

    • PHP バージョン 4.3 以上
    • MySQL バージョン 4.0 以上

    WordPress 日本語版 2.3

    • PHP バージョン 4.2 以上
    • MySQL バージョン 4.0 以上
    まずは日本語ホームページからファイルをダウンロードしましょう。

    buttonw-grey.png http://ja.wordpress.org/

    今回ダウンロードしたのはwordpress-2.7.1-ja.zipでしたが
    その時の最新版をダウンロードするといいでしょう。

    b1567e5c.png 
    ubuntu9.04の場合デフォルトでデスクトップに保存されます。


    HOME
    ©パソコン手探り all rights reserved.
    Powered by ニンジャブログ  Designed by ピンキー・ローン・ピッグ
    忍者ブログ / [PR]